Name:           perl-Mojolicious-Plugin-CHI
Version:        0.15
Release:        4%{?dist}
Summary:        Use CHI Caches in Mojolicious
License:        Artistic 2.0

URL:            http://search.cpan.org/dist/Mojolicious-Plugin-CHI/
Source0:        http://www.cpan.org/authors/id/A/AK/AKRON/Mojolicious-Plugin-CHI-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  perl-interpreter
BuildRequires:  perl-generators
BuildRequires:  perl(CHI)
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:  perl(Mojolicious) >= 4.77
BuildRequires:  perl(File::Path)
BuildRequires:  perl(File::Temp)
BuildRequires:  perl(Getopt::Long)
BuildRequires:  perl(lib)
BuildRequires:  perl(Mojo::Base)
BuildRequires:  perl(Mojo::Util)
BuildRequires:  perl(Mojolicious::Lite)
BuildRequires:  perl(Scalar::Util)
BuildRequires:  perl(strict)
BuildRequires:  perl(Test::Mojo)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(Test::Output) >= 1
BuildRequires:  perl(warnings)

Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%{?perl_default_filter}

%description
Mojolicious::Plugin::CHI is a simple plugin to work with CHI caches within
Mojolicious.

%prep
%setup -q -n Mojolicious-Plugin-CHI-%{version}
find lib -type f -exec chmod -c -x {} ';'
chmod -c -x Changes LICENSE

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1
make %{?_smp_mflags}

%install
make pure_install DESTDIR=$RPM_BUILD_ROOT

%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%doc Changes
%license LICENSE
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.15-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Thu Jun 15 2017 Jitka Plesnikova <jplesnik@redhat.com> - 0.15-3
- Perl 5.26 rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.15-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Sat Sep 10 2016 Emmanuel Seyman <emmanuel@seyman.fr> - 0.15-1
- Update to 0.15

* Sat Sep 03 2016 Emmanuel Seyman <emmanuel@seyman.fr> - 0.14-1
- Update to 0.14

* Thu May 19 2016 Jitka Plesnikova <jplesnik@redhat.com> - 0.13-2
- Perl 5.24 re-rebuild of bootstrapped packages

* Tue Apr 05 2016 Emmanuel Seyman <emmanuel@seyman.fr> - 0.13-1
- Update to 0.13

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.12-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Sun Nov 29 2015 Emmanuel Seyman <emmanuel@seyman.fr> - 0.12-1
- Update to 0.12

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.11-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 06 2015 Jitka Plesnikova <jplesnik@redhat.com> - 0.11-3
- Perl 5.22 rebuild

* Fri Apr 10 2015 Emmanuel Seyman <emmanuel@seyman.fr> - 0.11-2
- Fix rights on source file, per review (#1210610)

* Mon Feb 23 2015 Emmanuel Seyman <emmanuel@seyman.fr> 0.11-1
- Specfile created, based on the one autogenerated by cpanspec 1.78.
